Download it now!
Bug 118110 - Sidebar: mouse wheel should work with the shapes desk
Summary: Sidebar: mouse wheel should work with the shapes desk
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-06-11 12:09 UTC by Xisco Faulí
Modified: 2018-06-14 16:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-06-11 12:09:51 UTC
The Shades deck was implemented in https://cgit.freedesktop.org/libreoffice/core/commit/?id=ab9708e179762f97bd1a0ee4c0d4b439f1dabfd5, put as experimental in https://cgit.freedesktop.org/libreoffice/core/commit/?id=44216ddbc620a1c05e98dda1f63ed6df0eae5275 and enabled by default in https://cgit.freedesktop.org/libreoffice/core/commit/?id=8ab79071d8beed7459711df8a5df7a731fbf2271

However, the mouse wheel doesn't work with it.

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 3bd8759f5ed0393b2cc5560cab1b5d4052bd9728
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

and

Version: 6.2.0.0.alpha0+
Build ID: 3bd8759f5ed0393b2cc5560cab1b5d4052bd9728
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 1 Xisco Faulí 2018-06-11 12:20:23 UTC
Regression introduced by:

author	heiko tietze <tietze.heiko@gmail.com>	2018-05-14 18:51:12 +0200
committer	Heiko Tietze <tietze.heiko@gmail.com>	2018-05-15 08:45:58 +0200
commit	8ab79071d8beed7459711df8a5df7a731fbf2271 (patch)
tree	32d2f1ba2d1429fdc8b3bba7f9b589f8071cc8ca
parent	c074abd484f7666c954942b750b8e1c445013636 (diff)
tdf#117186 - Sidebar: Shapes deck should fill the whole sidebar

it seems readding '<property name="height_request">300</property>' makes the widget scrollable again, however, it doesn't fit the sidebar anymore...

@Heiko, is there any way bug 117186 can be fixed keeping it scrollable?
Comment 2 Heiko Tietze 2018-06-11 17:16:30 UTC
In fact there is a scrollbar but outside the panel working on the whole deck. And it reacts on mouse wheel. Haven't found a solution out of the blue but there likely is one. Question is if we need it.
Comment 3 Xisco Faulí 2018-06-13 09:23:37 UTC
(In reply to Heiko Tietze from comment #2)
> In fact there is a scrollbar but outside the panel working on the whole
> deck. And it reacts on mouse wheel. Haven't found a solution out of the blue
> but there likely is one. Question is if we need it.

I think so, otherwise the behaviour wouldn't be consistent with the rest of the scrollable widgets in the sidebar
Comment 4 Heiko Tietze 2018-06-13 11:13:24 UTC
Patch at https://gerrit.libreoffice.org/#/c/55748/
Comment 5 Commit Notification 2018-06-13 16:20:13 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc5a7f14cb44c06c19772249973d06df1f4eccaa

tdf#118110 - Mouse wheel should work with the shapes desk

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Heiko Tietze 2018-06-14 11:59:35 UTC
Xisco, in case you can verify the patch should we cherry-pick for 6.1?
Comment 7 Xisco Faulí 2018-06-14 12:01:51 UTC
(In reply to Heiko Tietze from comment #6)
> Xisco, in case you can verify the patch should we cherry-pick for 6.1?

yep, I've just verified in

Version: 6.2.0.0.alpha0+
Build ID: 1cf27cb44380f4a2bd6778c2dbbdef2a2a00cbc8
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

go ahead. you can also close this as RESOLVED FIXED
Comment 8 Commit Notification 2018-06-14 16:35:33 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b1490406d5ff419f632b581bed9744291600dc0&h=libreoffice-6-1

tdf#118110 - Mouse wheel should work with the shapes desk

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.